[NTG-context] Problem with first setup of StandAlone ConTeXt

Mojca Miklavec mojca.miklavec.lists at gmail.com
Tue Dec 15 10:06:54 CET 2015


On 14 December 2015 at 17:37, Boghosian, Bruce wrote:
> Dear ntg-context at ntg.nl:
>
> I am new to ConTeXt, so if this is not a very good question, please accept
> my apologies in advance.  I first tried sending this message to the help
> address at contextgarden.net, and the reply I received suggested that this
> list would be the more appropriate venue.
>
> I am trying to install ConTeXt on my Mac, and am following the StandAlone
> ConTeXt instructions on the page:
>
> http://wiki.contextgarden.net/Mac_Installation#Installing_MacTeX
>
> I installed MacTeX without problem, and then tried to follow the
> instructions for Standalone ConTeXt.  At the end of Section 3.2 on that
> page, when I tried to execute the command:
>
> sh ./first-setup.sh --modules=all --engine=luatex
>
>
> it ran for a minute or so, but ultimately gave me the error message copied
> below.
>
> This is LuaTeX, Version beta-0.85.0 (TeX Live 2016/dev) (rev 5550)  (INITEX)
>  system commands enabled.
> (/sw/share/texmf-dist/tex/context/base/cont-en.mkiv
> (/sw/share/texmf-dist/tex/context/base/context.mkiv
> (/sw/share/texmf-dist/tex/context/base/syst-ini.mkiv
> ! Undefined control sequence.
> l.842     \pdfminorversion
>                          \plusfive
> ?

It might help to give us a bit more details. To me this sounds as if
the wrong (some old) version of ConTeXt is being used. You already
said that you didn't use --context=current. It might be that you have
installed ConTeXt with Fink and that the old version from Fink is
somehow taking precedence.

Can you please tell us where you installed the minimals and the output of:
$ cat $(kpsewhich context.mkiv) | grep edef.contextversion
$ echo $PATH
$ which luatex
$ which context
$ export | grep TEX

Mojca


More information about the ntg-context mailing list